<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('HRMS-Timesheet Reports');
include('includes/newheader.php');

?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     	   <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/jszip-2.5.0/dt-1.10.16/b-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/datatables.min.css"/>
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"/>
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"/>
 
   <script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
     
		

   <h3 class="m-subheader__title ">Pay Report Based on Departments <p><a href="PayRunsManual.php" class="btn btn-danger" role="button">Return to PayRun</a></p></h3>
  
 									
									<?php
									
		
  if (isset($_GET['id'])) {
		$_SESSION['id'] = stripslashes($_GET['id']);
	}
	$calendarid = $_SESSION['id'];




			//echo ' <div class="row"> ';
//find if there is two shift done and if 8 hours plus gap calculations of timehalf adjusted

//if less than 8 hours then normal_pay,premium,stay_away,normal_hours,timehalf_hours,double_hours,timehalf_amount,double_amount,stay_away,leave_allowances,other_allowances_fnpf,other_allowances_nonfnpf,meal_allowance,fnpf,fnpf_employer,fixed_deductions,net_pay
		
		$sql4 =  "SELECT 
	               SUM(payrun_details.net_pay) as netpay,
				  SUM(payrun_details.normal_pay) as normalpay,
				 
				  SUM(payrun_details.timehalf_amount) as timehalfamount,
				  SUM(payrun_details.double_amount) as doubleamount,
				    SUM(payrun_details.premium) as premium,
				  SUM(payrun_details.stay_away) as stayaway,
				    SUM(payrun_details.leave_allowances) as leaveallowances,
				  SUM(payrun_details.other_allowances_fnpf) as otherallowancesfnpf,
				  SUM(payrun_details.other_allowances_nonfnpf) as otherallowancesnonfnpf,
				  SUM(payrun_details.meal_allowance) as mealallowance,
				    SUM(payrun_details.fnpf) as fnpfemployee,
				  SUM(payrun_details.fnpf_employer) as fnpfemployer,
				    SUM(payrun_details.fixed_deductions) as fixeddeductions,
					  SUM(payrun_details.other_deductions) as otherdeductions,
				 department
							
				   
						 
			FROM payrun_details   where payrun_details.id = '" . $calendarid."'
			Group by payrun_details.department
			Order by payrun_details.department
			";
	$ErrMsg = _('This customer could not be added because');
			$result4 = DB_query($sql4,$ErrMsg);
	
			
//check contract details of each employee and see if they are on 9 hours and 8 hours



		
echo '<div class="table-responsive"><table id="projectreport" class="table">';
	echo '<thead> <tr class="info">
			<th>' . _('Department') . '</th>	
			<th>' . _('NetPay Amount') . '</th>
			<th>' . _('Normal Amount') . '</th>
			<th>' . _('Timehalf Amount') . '</th>
			<th>' . _('Double Amount') . '</th>
			<th>' . _('Premium Amount') . '</th>
			<th>' . _('Stay Away Amount') . '</th>
			<th>' . _('Leave Amount') . '</th>
			<th>' . _('Other Allowances FNPF') . '</th>
			<th>' . _('Other Allowances Non FNPF') . '</th>
			<th>' . _('Meal Allowances') . '</th>
			<th>' . _('FNPF Employee') . '</th>
			<th>' . _('FNPF Employer') . '</th>
			<th>' . _('Fixed Deductions') . '</th>
			<th>' . _('Other Deductions') . '</th>
	
	   
			</thead></tr>';

		
			
		while ($myrow4 = DB_fetch_array($result4)) {
		
			
				$sql77 =  "SELECT departmentname
						 
			FROM department  where departmentid = '" .$myrow4['department']."'
			";
	$ErrMsg = _('This customer could not be added because');
			$result77 = DB_query($sql77,$ErrMsg);
			
			$myrow77 = DB_fetch_array($result77);
			
			echo 		
		
			
			
			'<tr>
		
					<td>' . $myrow77['departmentname']. '</td>
					<td>' . $myrow4['netpay']. '</td>
					<td>' . $myrow4['normalpay']. '</td>
					<td>' . $myrow4['timehalfamount']. '</td>
					<td>' . $myrow4['doubleamount']. '</td>
					<td>' . $myrow4['premium']. '</td>
					<td>' . $myrow4['stayaway']. '</td>
					<td>' . $myrow4['leaveallowances']. '</td>
					<td>' . $myrow4['otherallowancesfnpf']. '</td>
					<td>' . $myrow4['otherallowancesnonfnpf']. '</td>
					<td>' . $myrow4['mealallowance']. '</td>
					<td>' . $myrow4['fnpfemployee']. '</td>
					<td>' . $myrow4['fnpfemployer']. '</td>
					<td>' . $myrow4['fixeddeductions']. '</td>
					<td>' . $myrow4['otherdeductions']. '</td>

			
				
					</tr>';
		
		
		}
	
	
echo '</div>';
  
 	echo '</div >';


echo '<div class="row"> <div class="col-sm-12" >';

//echo '<iframe src="Reporttimesheetsuva-GFS.php" height="400" width="100%">
  // alternative content for browsers which do not support iframe.
//</iframe>';		?>
										
						</div>

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	//include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<script>

  
 
	jQuery(document).ready(function() {
    $("#projectreport").DataTable( {
	fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
      if ( aData[7] > 48 )
      {
        $('td', nRow).css('background-color', '#f2dede' );
      }
       else if ( aData[7] == 48 )
      {
        $('td', nRow).css('background-color', '	#ffd480' );
      }
    
      
      else
      {
        $('td', nRow).css('background-color', '#e6ffe6');
      }
    },
		
        dom: 'Bfrtip',
        buttons: [
           
		{
                extend: 'pdfHtml5',
                orientation: 'landscape',
			pageSize: 'A3',
			
			
                customize: function(doc) {
      doc.defaultStyle.fontSize = 10; //<-- set fontsize to 16 instead of 10 
					  
   }  
            },
			{
                extend: 'excelHtml5'},
			
			{
                extend: 'copyHtml5'}
			
			
		]
		
		
    } );
		
		$("#projectreport2").DataTable( {
			
			fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
      if ( aData[9] > 48 )
      {
        $('td', nRow).css('background-color', '#f2dede' );
      }
       else if ( aData[9] == 48 )
      {
        $('td', nRow).css('background-color', '	#ffd480' );
      }
    
      
      else
      {
        $('td', nRow).css('background-color', '#e6ffe6');
      }
    },
        dom: 'Bfrtip',
        buttons: [
           
		{
                extend: 'pdfHtml5',
                orientation: 'landscape',
			pageSize: 'A4',
			
			
                customize: function(doc) {
      doc.defaultStyle.fontSize = 12; //<-- set fontsize to 16 instead of 10 
					  
   }  
            },
			{
                extend: 'excelHtml5'},
			
			{
                extend: 'copyHtml5'}
			
			
		]
    } );
	
		$("#projectreport3").DataTable( {
			fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
      if ( aData[29] > 48 )
      {
        $('td', nRow).css('background-color', '#f2dede' );
      }
       else if ( aData[29] == 48 )
      {
        $('td', nRow).css('background-color', '	#ffd480' );
      }
    
      
      else
      {
        $('td', nRow).css('background-color', '#e6ffe6');
      }
    },
			
        dom: 'Bfrtip',
        buttons: [
           
		{
                extend: 'pdfHtml5',
                orientation: 'landscape',
			pageSize: 'A2',
			
			
                customize: function(doc) {
      doc.defaultStyle.fontSize = 12; //<-- set fontsize to 16 instead of 10 
					  
   }  
            },
			{
                extend: 'excelHtml5'},
			
			{
                extend: 'copyHtml5'}
			
			
		]
    } );	
	
} );
		


	
						
</script>